Bug 500989 - RFE: enhancement for /etc/inputrc pageup, pagedown keys
RFE: enhancement for /etc/inputrc pageup, pagedown keys
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-15 07:58 EDT by Stefan Assmann
Modified: 2009-05-20 08:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: setup-2.8.5-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 08:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2009-05-15 07:58:31 EDT
Description of problem:
/etc/inputrc currently has the following default:
"\e[5~": beginning-of-history
"\e[6~": end-of-history
This maps beginning of bash history and end of bash history to the keys pageup, pagedown. 

I'd suggest to replace these with:
"\e[5~": history-search-backward
"\e[6~": history-search-forward
This maps history auto completion to pageup, pagedown keys. So what this does is, if you type the first few letters of an already typed commandline and press pageup (pagedown) the already started line will be auto completed with what is found in your bash history.

Reason for doing so:
Bash history has a backlog of 1000 commands, does somebody really wants to go all the way back 1000 commands and use the again frequently? Not so sure...
Instead make good use of these keys by using history completion.

Example:
# ls /etc/inputrc -alh
-rw-r--r--. 1 root root 801 2009-04-10 10:42 /etc/inputrc
... (lots of other command)
# ls /et<pageup>
will complete to
# ls /etc/inputrc -alh
Comment 1 Ondrej Vasik 2009-05-20 08:35:36 EDT
Ok, as it is default in Gentoo/OpenSuSe and suggested in Debian/Ubuntu, I'll change this that way in RAWHIDE - as this mapping is more useful than previous start/end of history. Changed in setup-2.8.5-1.fc12, closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.